/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include "DrvI2C.h"
#include "DrvHWI2C.h"
#include "HY2613.h"
#include "seg7.h"
#include "my define.h"
/*--------------------------------------------------------------------------*/
/* Clear LCD RAM Data                                                       */
/*--------------------------------------------------------------------------*/
void ClearLCDframe(void)
{
  int i=0;
  for(i=0;i<11;i++)
  {
    DisplayBuffer[i]=0x00;
  }
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Display HYcon Char                                                         */
/*----------------------------------------------------------------------------*/
void DisplayHYcon(void)
{
  #define offset 2
  DisplayBuffer[offset+0]=0x00;
  DisplayBuffer[offset+1]=Char_H;
  DisplayBuffer[offset+2]=Char_Y;
  DisplayBuffer[offset+3]=Char_c;
  DisplayBuffer[offset+4]=Char_o;
  DisplayBuffer[offset+5]=Char_n;
  RAM2LCD(DisplayBuffer,11);
}

/*--------------------------------------------------------------------*/
/* LCD RAM Data                                                       */
/*--------------------------------------------------------------------*/
void LCD_DATA_DISPLAY(unsigned int LcdBuffer)
{
  int i;
  for(i=7;i>=2;i--)
  {
    DisplayBuffer[i]=seg[LcdBuffer%10];
    LcdBuffer=LcdBuffer/10;
  }
  if(autozero==1) DisplayBuffer[8]=DisplayBuffer[8]|S_Zero;	//zeroG
  else DisplayBuffer[8]=DisplayBuffer[8]&0xfd;				//zero
  if(tare==1) DisplayBuffer[8]=DisplayBuffer[8]|S_Tare;		//xG
  else	DisplayBuffer[8]=DisplayBuffer[8]&0xfb;				//x
  if(nn==1) DisplayBuffer[8]=DisplayBuffer[8]|S_Minus;		//tG
  else	DisplayBuffer[8]=DisplayBuffer[8]&0xf7;				//t
  if(intest==0)												//bեҦU ܳ
  {
  	  DisplayBuffer[decimal]=DisplayBuffer[decimal]|seg_h;

  	  DisplayBuffer[7]=DisplayBuffer[7]|S_g;
  	  DisplayBuffer[9]=DisplayBuffer[9]|S9;
  }
  RAM2LCD(DisplayBuffer,11);
}
void LCD_DATA_DISPLAY1(unsigned int LcdBuffer)
{
  //int i;
  DisplayBuffer[4]=seg[LcdBuffer%10];
  if(nu==1) DisplayBuffer[10]=0x80;
  RAM2LCD(DisplayBuffer,11);

//  if(nu==4)
 // {
//	  tim++;
//	  if(tim>3)	DisplayBuffer[4]=0;
//	  if(tim>5)	tim=0;
 // }
}
void LCD_DATA_DISPLAY2(unsigned int LcdBuffer)
{
  //int i;
  DisplayBuffer[5]=seg[LcdBuffer%10];
  if(nu==2) DisplayBuffer[10]=0x40;
  RAM2LCD(DisplayBuffer,11);
 // if(nu==5)
  //{
//	  tim++;
//	  if(tim>3)	DisplayBuffer[5]=0;
//	  if(tim>5)	tim=0;
 // }
}
void LCD_DATA_DISPLAY3(unsigned int LcdBuffer)
{
  //int i;
  DisplayBuffer[6]=seg[LcdBuffer%10];
  if(nu==3) DisplayBuffer[10]=0x20;
  RAM2LCD(DisplayBuffer,11);
  //if(nu==6)
  //{
//	  tim++;
//	  if(tim>3)	DisplayBuffer[6]=0;
//	  if(tim>5)	tim=0;
 // }
}
void LCD_DATA_DISPLAY4(unsigned int LcdBuffer)
{
  //int i;
  DisplayBuffer[7]=seg[LcdBuffer%10];
  if(nu==4) DisplayBuffer[10]=0x10;
  RAM2LCD(DisplayBuffer,11);
 // if(nu==7)
  //{
//	  tim++;
//	  if(tim>3)	DisplayBuffer[7]=0;
//	  if(tim>5)	tim=0;
 // }
}
